var services = angular.module('app.services');

services.service('PrintService', [ '$http',
  function ($http) {
    var vm = this;

    vm.token = function(requestData) {
      return $http({
        method: 'POST',
        url: 'https://www.googleapis.com/oauth2/v3/token',
        headers: {
          'Content-Type': 'application/x-www-form-urlencoded; charset=utf-8'

        },
        transformRequest: function(obj) {
            var str = [];
            for(var p in obj)
            str.push(encodeURIComponent(p) + "=" + encodeURIComponent(obj[p]));
            return str.join("&");
        },
        data: ({
          client_id: '745936783341-elmf2pf7hgjcfkvmp3q8p5ds71gkcorq.apps.googleusercontent.com',
          client_secret: 'WhOmpJ31pBLfmyFJiL0Ky2AZ',
          grant_type: 'refresh_token',
          // refresh_token: '1/u89LxfXmQBDHXK32ZncSZ37mtwqJLTYVMOeNBymYk_xGdgHkUCpEE2H3ZoVbKRWz', //
          // refresh_token: '1/nDv72kqx6T90suN9ZQO1Htir9gMwj-39PDkNtTgVV7E',
          refresh_token: '1/jHt2SbJfYNDRcpCdleGuEPBK4FqZZQ5TDeqw0U1JSRY',
        })
      });
    };

    vm.print = function (elementId, printer) {
      // Lucida Console
      var content = ('<html><head><style>body {margin: 0em; color: #000; white-space: pre; font-family: monospace; font-weight: bold; font-size: 12px;}</style></head><body>');
      // var content = '';

      var print = document.getElementById(elementId || 'print').innerHTML.replace(/<\/?[^>]+(>|$)/g, '');
      var lines = print.split('\n');
      var result = [];

      for (var i = 0; i < lines.length; i++) {
        for (var j = 0; j < lines[i].length/43; j++) {
          result.push(lines[i].substr(43*j, 43));
        }
      }

      content += (result.join('\n'));
      content += ('</body></html>');

      // console.log(printer);
      // console.log(content);
      // return;

      vm.token()
        .then(function (result) {
          // console.log(result);
          vm.access_token = result.data.access_token;
          return vm.submit(vm.access_token, content, printer);
        })
        // .then(console.log)
        .catch(function (error) {
          console.log(JSON.stringify(error));
        })
    }

    vm.submit = function(access_token, content, printer) { //return;
      // debugger;
      return $http({
        method: 'POST',
        // method: 'GET',
        url: 'https://www.google.com/cloudprint/submit',
        // url: 'cloudprint/submit',
        // url: 'https://www.googleapis.com/oauth2/v3/tokeninfo?access_token=' + access_token,
        headers: {
          'Content-Type': 'application/x-www-form-urlencoded',
          'Authorization': 'Bearer ' + access_token
        },
        transformRequest: function(obj) {
            var str = [];
            for(var p in obj)
            str.push(encodeURIComponent(p) + "=" + encodeURIComponent(obj[p]));
            return str.join("&");
        },
        data: ({
          // 'access_token': access_token,
          'title': 'one beleza',
          // 'content': '<html><head><style>body {margin: 0em; white-space: pre; font-family: Courier New; font-size: 12px;}</style></head><body><pre id="print" class="ng-hide ng-binding">MMtools - Ambiente de Demonstração↵06/11/17 12:36↵-------------------------------------------↵Cliente: 19239 - Eric Tonussi↵-------------------------------------------↵↵RELAÇÃO DE SERVIÇOS↵Qt Serviço                  Profissional↵-------------------------------------------↵<!-- ngRepeat: service in serviceList | filter : {deleted : undefined} track by $index --><span ng-repeat="service in serviceList | filter : {deleted : undefined} track by $index " class="ng-binding"> 1 Barbeiro                 Gilberto Bassan↵</span><!-- end ngRepeat: service in serviceList | filter : {deleted : undefined} track by $index -->-------------------------------------------↵↵</pre></body>↵</html>',
          'content': content,
          'contentType': 'text/html',
          // 'contentType': 'text/plain',
          'ticket': '{"version": "1.0", "print": {"margins": {"top_microns":0, "right_microns":0, "bottom_microns" : 0, "left_microns":0}} }',
          'printerid': printer || '__google__docs',
          // 'printerid': 'c89f086d-6e96-7770-cc61-95fd278040e4',
          // 'printerid': '0556a887-8f45-ad46-56fd-023b39d3f2fa', //impressora térmica MMtools
        })
      });
    };

  }
]);
