


var controllers = angular.module('app.controllers');

controllers.controller('AuthCtrl', [ '$scope', '$rootScope', '$stateParams', '$state', 'AuthApi', 'SaloesApi', 'deviceStorage', '$ionicPopup', 'UserApi', '$ionicLoading', '$cordovaBarcodeScanner', '$translate', 'Popup', '$filter', 'BannerApi', 'DEALER', 'FacebookLogin', 'FacebookLoginService',
  function($scope, $rootScope ,$stateParams, $state, AuthApi, SaloesApi, deviceStorage, $ionicPopup, UserApi , $ionicLoading , $cordovaBarcodeScanner, $translate, Popup, $filter, BannerApi, DEALER, FacebookLogin, FacebookLoginService) {

  var me = this;

  $rootScope.$on('$translateChangeSuccess', function () {
    $translate(['APP_MAP_INVITE_TITLE', 'APP_MAP_INVITE_DESCRIPTION', 'APP_MAP_INVITE_ACTION', 'APP_MAP_SCHEDULE', 'APP_MAP_FIND_ON', 'APP_CLOSE']).then(function (translations) {
      me.translations = translations;
    });
  });
  
  $scope.buttonRegisterText = 'CRIAR CONTA';
  $scope.buttonLoginText = 'Login';

  $scope.disableButton = true;

  $rootScope.promoPopup = false;

  
  

  var selectedEmpresa = $stateParams.empresasID;
  $scope.empresasID = $stateParams.empresasID;

  if ($scope.empresasID === '0' && deviceStorage.get('salao') !== null) {
    $scope.empresasID = deviceStorage.get('salao').EmpresasID;
  }

  var savedLogin = deviceStorage.get('login');
  $scope.savedSalao = deviceStorage.get('salao');
  $scope.saloes = [];

  var email = $stateParams.email;
  if(DEALER.id===4 ){
  BannerApi.openBanner('daily', 3, 'popup_auto_login', {
                template: '<img src="https://oneproducao.blob.core.windows.net/imgs/BannerTorresVilaDaSerra.png" ng-click="myPopup.close()" width="100%" style="vertical-align: middle;">',
                buttons: [
                       {
                         type: 'ion-close',
                       },
                     ]
              });
            }


      

      

  if ( $scope.empresasID && deviceStorage.get('saloes') ) {
    // $scope.
    var saloes = ( deviceStorage.get('saloes') ).Retorno;
    for ( var s in saloes ) {
      var salao = saloes[s];
      if ( salao.EmpresasID == $scope.empresasID ) {
        $scope.salao = salao;
        $scope.savedSalao = salao;
        break;
      }
    }
  } else if ( $scope.savedSalao ) {
    $scope.salao = $scope.savedSalao;
  }

  var doLogin = function (results) {

    $scope.buttonLoginText = 'Login';
    $scope.disableButton = false;

    if ( results.Successeded ) {       

      $rootScope.saloes = results.Retorno;
      $rootScope.logged = true;
      $rootScope.UsuarioId = results.UsuarioId;

      deviceStorage.put('UsuarioId', results.UsuarioId);
      deviceStorage.put('firstTime', false);
      deviceStorage.put('user', results);
      deviceStorage.put('salao', $scope.salao);
      deviceStorage.put('saloesUsuario', $rootScope.saloes);

      /*try {
        Chave = 'teste';
        Dispositivo = 'Google';

        var requestData = {
          Chave: Chave, //registrationId do aparelho
          Dispositivo: Dispositivo //pode ser "Google", "Apple", ou "Windows"
        };

        // alert(JSON.stringify(requestData) );
        // version_data = JSON.stringify(requestData);

        AuthApi.RegistrarDispositivo(requestData, function (argument) {
          // alert(JSON.stringify(argument) );
          // version_data += JSON.stringify(argument);
        });

      } catch(e) {console.log(e);}*/

      if ( results.TempPassword ) {

        $scope.data = {};

        var myPopup = $ionicPopup.show({
          // template: '<label class="item item-input"><i class="icon ion-locked placeholder-icon" style="padding-right: 20px;"></i><input type="password" ng-model="data.password" placeholder="Senha" required></label><label class="item item-input"><i class="icon ion-locked placeholder-icon" style="padding-right: 20px;"></i><input type="password" ng-model="data.confirm" placeholder="Confirme a senha" required></label>',
          templateUrl: "templates/client/trocar-senha.html",
          title: 'Primeiro acesso',
          subTitle: 'Troca de senha obrigatória',
          scope: $scope,
          buttons: [
            { text: 'Cancelar' },
            {
              text: '<b>Salvar</b>',
              type: 'button-dark',
              onTap: function(e) {

                if ( !$scope.data.password ) {
                  $scope.erro = "Senha curta";
                } else if ( $scope.data.password != $scope.data.confirm ) {
                  $scope.erro = "Confirmação inválida";
                } else {
                  $scope.erro = '';
                  return $scope.data;
                }

                e.preventDefault();

              }
            }
          ]
        });

        myPopup.then(function(res) {

          //console.log('Tapped!', res);

          if ( res ) {

            UserApi.alterarsenha({
              UsuariosID: results.UsuarioId,
              Senha: $scope.data.password
            }, function (passwordChangeResult) {

              if (passwordChangeResult.Successeded) {
                var login = deviceStorage.get('login');
                login.senha = CryptoJS.SHA256($scope.data.password).toString(),
                login.defaultPass = $scope.data.password;
                deviceStorage.put('login', login);
              }

              doRedirect();

            });

          }

        });

      } else {

        doRedirect();

      }

    } else {
      // navigator.notification.alert(results.Message);
      if ( results.Message !== 'APP_TAG_SECURITY_ATIVAR_CADASTRO') {
        if ( results.Message == 'APP_TAG_EMAIL_REGISTER' && DEALER.name == 'One') {
          $ionicLoading.hide();
          $state.go('pesquisar-saloes');
        }
        if ( results.Message == 'APP_TAG_EMAIL_REGISTER' && DEALER.name != 'One') {       
          if (DEALER.filiais.length === 1) {
            $scope.salao = DEALER.filiais[0];

            $rootScope.saloes = results.Retorno;
            $rootScope.logged = true;
            $rootScope.UsuarioId = results.UsuarioId;
            $stateParams.empresasID = $scope.salao.EmpresasID;

            deviceStorage.put('UsuarioId', results.UsuarioId);
            deviceStorage.put('firstTime', false);
            deviceStorage.put('user', results);
            deviceStorage.put('salao', $scope.salao);
            deviceStorage.put('saloesUsuario', $rootScope.saloes);

            doRedirect();
          } 
          else {
            $scope.myPopup = $ionicPopup.show({
              title: 'Em qual filial você foi registrado?',
              template:
              '<ion-list>' +
                '<ion-item class="item" ng-repeat="filial in DEALER.filiais" ng-click="selectBranch(filial)">' +
                  '{{filial.Descricao}}' +
                '</ion-item>' +
              '</ion-list>'
              ,
              scope: $scope,
              buttons: [
                {
                  text: 'Cancelar',
                  type: 'button-positive'
                }
              ]
            });
          }          
        } else {
          if (DEALER.filiais && DEALER.filiais.length) {
            var requestData = deviceStorage.get('login');
            requestData.empresa = DEALER.filiais[0].EmpresasID;
  
            AuthApi.authenticateAutoAtendimento(requestData, function (r) {
              if ( r.Successeded ) {
                $scope.signIn({
                  rememberPass: requestData.rememberPass,
                  username: requestData.email,
                  password: requestData.defaultPass
                });
              } else {
                Popup.alert(results.Message);
              }
  
            });
          } else {
            Popup.alert(results.Message);
          }
        }        
      } else {
        $ionicPopup.show({
          template: 'Esse cadastro ainda não foi ativado. <h4>Deseja reenviar o email de confirmação?</h4>',
          // title: 'Primeiro acesso',
          subTitle: 'Falha ao logar',
          scope: $scope,
          buttons: [
            { text: 'Não' },
            {
              text: '<b>Sim</b>',
              type: 'button-dark',
              onTap: function(e) {

                UserApi.reenviaremailativacao( deviceStorage.get('login') , function(r) {
                  Popup.alert(r.Message);
                });

                // e.preventDefault();

              }
            }
          ]
        });
      }

    }

  };
  
  $scope.selectBranch = function(filial) {
    const usuariosemcadastro = {"Successeded":false,"Token":null,"Message":"APP_TAG_EMAIL_REGISTER","UsuarioId":0,"TempPassword":false,"Retorno":null}
    $scope.salao = filial;

    $rootScope.saloes = usuariosemcadastro.Retorno;
    $rootScope.logged = true;
    $rootScope.UsuarioId = usuariosemcadastro.UsuarioId;
    $stateParams.empresasID = $scope.salao.EmpresasID;

    deviceStorage.put('UsuarioId', usuariosemcadastro.UsuarioId);
    deviceStorage.put('firstTime', false);
    deviceStorage.put('user', usuariosemcadastro);
    deviceStorage.put('salao', $scope.salao);
    deviceStorage.put('saloesUsuario', $rootScope.saloes);

    $scope.myPopup.close();
    doRedirect();
  }

  function doRedirect() {
    if ( $stateParams.empresasID != 0 ) {

      if ( $stateParams.empresasID > 0 ) {

        $ionicLoading.show();
        var requestData = {
          UsuarioId : $rootScope.UsuarioId,
          EmpresaId : $stateParams.empresasID
        };

        AuthApi.registrarusuarioempresa(requestData, registrarusuarioempresa );

      } else {

        $state.go( 'convidar' , { empresasID : $stateParams.empresasID } );

      }
    } else {

      if ($rootScope.saloes.length === 0 && DEALER.name == 'One') {
        $ionicLoading.hide();
        $state.go('pesquisar-saloes');
      } else{
        $state.go('saloes');
      }
      
    }
  }

  $scope.signIn = function(user, salao) {
    $scope.buttonLoginText = '<i class="ion-load-c"></i>';
    $scope.disableButton = true;

    if ( salao && user ) {

      $stateParams.empresasID = salao;
      deviceStorage.put('login',{
          "rememberPass" : user.rememberPass,
          "email"        : user.username,
          "senha"        : CryptoJS.SHA256(user.password).toString(),
          "defaultPass"  : user.password
      });

      // registrarusuarioempresa();
      var requestData = {
          "email"       : user.username,
          "senha"       : CryptoJS.SHA256(user.password).toString(),
          "defaultPass" : user.password
      };
      AuthApi.authenticateSemEmpresa(requestData, function (r) {
        if (!r) {
          $scope.disableButton = false;
          return;
        }

        var requestData = {
          UsuarioId : r.UsuarioId,
          EmpresaId : $stateParams.empresasID
        };

        deviceStorage.put('saloesUsuario', r.Retorno);

        if ( deviceStorage.get('saloes') ) {
          var saloes = deviceStorage.get('saloes').Retorno;
          for ( var s in saloes ) {
            var salao = saloes[s];
            if ( salao.EmpresasID == $stateParams.empresasID ) {
              $scope.salao = salao;
              $rootScope.salao = salao;
              $scope.savedSalao = salao;
              break;
            }
          }
        }

        deviceStorage.put( 'salao' , $scope.savedSalao );

        AuthApi.registrarusuarioempresa(requestData, registrarusuarioempresa );
      });
    } else if ( user ) {
      $stateParams.empresasID = '0';
      
      var requestData = {
          "rememberPass" : user.rememberPass,
          "email"       : user.username,
          "senha"       : CryptoJS.SHA256(user.password).toString(),
          "defaultPass" : user.password
      };
      deviceStorage.put('login', requestData);
      AuthApi.authenticateSemEmpresa(requestData, doLogin);
    } else {
      $scope.buttonLoginText = 'Login';
      $scope.disableButton = false;
      navigator.notification.alert('Informações inválidas!');
    }
  };

  var login = deviceStorage.get('login');

  if (DEALER.anonimous && (!login || (login && !login.rememberPass))) {
    $ionicPopup.show({
      template: '<p style="margin-bottom: 0; padding-bottom: 0;">Crie uma conta ou entre como visitante para marcar seu horário!</p>',
      // templateUrl: "templates/client/convidar-amigo.html",
      title: 'Bem vindo à ' + DEALER.name,
     // subTitle: 'Ei! Convide um amigo para baixar o ONE e acumule ' + pontosConvidaramigo + ' pontos! Estes pontos, furamente, serão convertidos em prêmios.',
      scope: $scope,
      buttons: [
        {
          text: 'Agora não',
          type: 'button-energized button-outline',
          onTap: function(e) {
            $ionicLoading.show();
            $scope.signIn(DEALER.anonimous.login);

            // e.preventDefault();
          }
        },
        {
          text: 'Cria conta',
          type: 'button-positive'
        }
      ]
    });
  }

  $scope.goBack = function() {
    window.history.back();
  };

  $scope.mapa = function() {
    //$state.go('mapa');
  };

  var doCreateUserCallback = function(results){

    $scope.buttonRegisterText = 'CRIAR CONTA';
    $scope.disableButton = false;

    if (results.Successeded) {
      deviceStorage.put('UsuarioId', null);
      deviceStorage.put('firstTime', false);
      deviceStorage.put('user',null);
      deviceStorage.put('salao',null);
      deviceStorage.put('permissoes', null);

      $state.go('entrar',{empresasID:$scope.user.salao});
      //doRedirect();

      Popup.alert('Cadastro realizado com sucesso! Você receberá um email para ativar sua conta.');
    } else {
      Popup.alert(results.Message);
    }
  };

  $scope.doCreateUser = function(user) { //console.log(user); //return;

    $scope.user = user;

    $scope.buttonRegisterText = '<i class="ion-load-c"></i>';
    $scope.disableButton = true;

    var requestData = {
        Nome            : user.username,
        Email           : user.email,
        Celular         : user.celular,
        Telefone        : user.telefone,
        DataAniversario : user.dataAniversario,
        Senha           : user.password,
        ConfirmarSenha  : user.confPassword,
        App             : DEALER.id
    };
    if (user.password != user.confPassword)
    {
      Popup.alert("Ops, a confirmação de senha não confere.");
      $ionicLoading.hide({});
      
    }
    else{
    AuthApi.postCreateUser(requestData, doCreateUserCallback);

    requestData = {
      email       : user.email,
      defaultPass : user.password,
      empresa     : salao
    };
    deviceStorage.put('login', requestData);
  }
  };
  

   $scope.mostrarsenhapai = function(){
      var Senha = document.getElementById("senha");
      var ConfirmarSenha = document.getElementById("senha2");
      var OlhoFechado = document.getElementById("naomostrar");
      //usuario clicou no olho para mostrar senha
      if(Senha.type == "password")
      {
        Senha.type = "text";
        ConfirmarSenha.type = "text";
        OlhoFechado.className = "olhosenhaFechado"
    
      }
      else{
        Senha.type = "password";
        ConfirmarSenha.type = "password";
        OlhoFechado.className = "olhosenhaAberto"
   
        
      } 
  };

  var enviarCodigoPushCallback = function (results) {
    $ionicLoading.hide();
   if(results.Successeded==true){
    var mensagem= "Olá! Segue abaixo o código para mudar a senha.Este código é válido por 10 minutos, contadas a partir do recebimento desta mensagem.";
    var primeiraParte = results.Message.substr(0,3);
    var segundaParte = results.Message.substr(3,3);
    var msg= mensagem + "<br><br> <center> <b> " + primeiraParte +" " + segundaParte + " </center> </b> <br> O código deve ser digitado sem espaço.";
     $ionicPopup.alert({

        title: 'Código de Recuperação',
        template: msg,
    });
 
    $state.go('entrar-codigo-recuperacao');

   } 
    else {
      Popup.alert(results.Message);
    }
  };


  $scope.enviarCodigoPush = function (user, salao) {
    $ionicLoading.show();
    var requestData;
    try {
    
        var dev= {
          Chave: Chave, //registrationId do aparelho
          Dispositivo: Dispositivo //pode ser "Google", "Apple", ou "Windows"
      };
      
    var token = dev.Chave;
    if (salao==null){

      requestData = {
          'token': token,
          'empresa': null,
          "email" : user.username,
      };

    }
    else{
      requestData = {
          'token': token,
          'empresa': salao.EmpresasID,
          "email" : user.username,
      };
    }
    
      deviceStorage.put('email',requestData.email);
      AuthApi.postPushPassword(requestData,enviarCodigoPushCallback);
    } 

    catch(e){ 
      $ionicLoading.hide();
      Popup.alert("Dispositivo móvel não detectado. Tente a recuperação por E-mail.");
    }
};


  var enviarCodigoEmailCallback = function (results) {
    $ionicLoading.hide();
   if(results.Successeded==true){
    
    $state.go('entrar-codigo-recuperacao-email');
    Popup.alert("Foi enviado para seu e-mail o código para alterar a senha.");
   
   } 
    else {
      Popup.alert(results.Message);
    }
  };

  $scope.enviarCodigoEmail = function (user, salao) {
    
   // $ionicLoading.show();
    var dealer =DEALER.id
    var requestData = {
        //"FiliaisID"   : salao.EmpresasID,
        "email" : user.username,
        "dealerId": dealer
    };
    deviceStorage.put('email',requestData.email);
    
    AuthApi.postForgotPassword(requestData, enviarCodigoEmailCallback);
    
  };

  var InserirCodigoRecuperacaoCallback = function (results) {
    $ionicLoading.hide();

   if(results.Successeded==true){
    
    $state.go('entrar-nova-senha');
   } 
    else {
      Popup.alert(results.Message);
    }
  };
  
  $scope.InserirCodigoRecuperacao = function (codigo) {
    var email = deviceStorage.get('email');
    $ionicLoading.show();
      var requestData = {
        "email": email,
        "codigo" : codigo,
        
    };
    deviceStorage.put('codigo',requestData.codigo);
    AuthApi.postVerificaCodigo(requestData, InserirCodigoRecuperacaoCallback);
    
  };

  var InserirNovaSenhaCallback = function (results) {
    $ionicLoading.hide();

   if(results.Successeded==true){

    $state.go('entrar');
    Popup.alert(results.Message);
    deviceStorage.remove('email');
    deviceStorage.remove('codigo');
   } 
    else {
      Popup.alert(results.Message);
      $state.go('entrar');
    }
  };

  $scope.InserirNovaSenha = function (user) {
    
    if(user.pass==user.confPass){
        var email = deviceStorage.get('email');
        var codigo =  deviceStorage.get('codigo');
        $ionicLoading.show();
        var requestData = {
            "email": email,
            "codigo" : codigo,
            "senha" : user.pass
        };
        
        AuthApi.postAlteraSenha(requestData, InserirNovaSenhaCallback);
    }
    else {
          Popup.alert("Ops, a confirmação de senha não confere.");
    
        }
  };
 

  var appendSaloes = function(results){
 
    for(var i = 0; i < results.Retorno.length; i++){
      if ( results.Retorno[i].EmpresasID == selectedEmpresa ) {
        $scope.salao = results.Retorno[i];
        $rootScope.salao = results.Retorno[i];
        $scope.savedSalao = results.Retorno[i];
        // break;
      }
      if ( $scope.savedSalao && results.Retorno[i].EmpresasID == $scope.savedSalao.EmpresasID ) {
        deviceStorage.put('salao', results.Retorno[i]);
        $scope.salao = results.Retorno[i];
      }

    }
    $scope.saloes = results.Retorno;
    $scope.disableButton = false;
  };

  var init = function(){

    if( savedLogin !== null && $state.current.name !== 'esqueci-minha-senha' ){
      if ( selectedEmpresa === '0' || !selectedEmpresa ){
        // deviceStorage.put('saloes',null);
        selectedEmpresa = savedLogin.empresa;
      }

      if (savedLogin.rememberPass) {
        $scope.user = {
          username: savedLogin.email,
          password: savedLogin.defaultPass,
          rememberPass: true
        };
      } else {
        $scope.user = {
          username: '',
          password: ''
        };
      }
    }

    if ( !$scope.user && email ) {
      $scope.user = {
        username : email
      };
    }

    if ( $rootScope.logged && $stateParams.empresasID != 0 ) {

      if ( $stateParams.empresasID > 0 ) {

        $ionicLoading.show();

        var requestData = {
          UsuarioId : $rootScope.UsuarioId,
          EmpresaId : $stateParams.empresasID
        };

        deviceStorage.put( 'salao' , $scope.savedSalao );

        AuthApi.registrarusuarioempresa(requestData, registrarusuarioempresa );

      } else {

        $state.go( 'convidar' , { empresasID : $stateParams.empresasID } );

      }

    }

    //console.log($scope.user);
    SaloesApi.getAdressPoints(appendSaloes);
    $scope.disableButton = false;

  };

  $scope.paginaInicial = function(){
    $state.go('entrar',{empresasID:$scope.user.salao});
  }

  $scope.facebookLogin = function () {
    $ionicLoading.show();

    FacebookLogin(function (userData) {
      // console.log(JSON.stringify(userData));

      if (deviceStorage.get('salao')) {
        $stateParams.empresasID = deviceStorage.get('salao').EmpresasID;
      }

      deviceStorage.put('login', {
        // email: userData.email,
        token: userData.authResponse.accessToken
      });

      FacebookLoginService.loginFacebook({
        // email: userData.email,
        token: userData.authResponse.accessToken
      })
        .then(function (result) {
          deviceStorage.put('facebookData', userData);
          if(result.Successeded == false){
            $ionicLoading.hide(); 
           
            $ionicPopup.show({
              templateUrl: 'templates/baixeoapp.html',
              title : 'Baixe o App',
              
              buttons: [{ // Array[Object] (optional). Buttons to place in the popup footer.
                text: "Fechar",
                type: 'button-positive',
                onTap: function(e) {
                
                }
              }]
            });
          }
          else{
          switch (result.Message) {
            case 'FACEBOOK_LOGIN_SUCCESS_TOKEN':
            case 'FACEBOOK_LOGIN_SUCCESS_EMAIL':
              doLogin(result);
              break;
            case 'FACEBOOK_LOGIN_FAIL_TOKEN_EMAIL':
              $ionicLoading.hide();
              $state.go('facebook-login');
              break;
            default:
              $ionicLoading.hide();
                Popup.alert(result.Message);
          }
        }
        })
        .catch($ionicLoading.hide);
    }, function (result) {
      $ionicLoading.hide();
    })
  };

  init();

  $scope.sobre = function(salao) { //console.log(salao);

    $rootScope.salao = $scope.salao;
    // $rootScope.teste = {
    //    Chave: Chave,
    //    Dispositivo: Dispositivo//pode ser "Google", "Apple", ou "Windows"
    // };
    // $rootScope.alert = function() {
    //   // alert('redirecionando para index_debug.html');
    //   // window.location.href = 'index_debug.html'
    // };

    $ionicPopup.show({
      templateUrl: 'templates/sobre.html',
      title : 'Sobre',
      cssClass: 'sobre-popup',
      buttons: [{ // Array[Object] (optional). Buttons to place in the popup footer.
        text: $filter('translate')('APP_CLOSE'),
        type: 'button-positive',
        onTap: function(e) {
          // e.preventDefault() will stop the popup from closing when tapped.
          // e.preventDefault();
        }
      }]
    });
  };

  function registrarusuarioempresa(r) {

    var requestData = deviceStorage.get('login');
    requestData.empresa = $stateParams.empresasID;
    delete requestData.defaultPass;

    $ionicLoading.show();

    AuthApi.authenticate(requestData, function(r) {

      $ionicLoading.hide();

      if ( r.Successeded ) {
        authenticate(r, requestData)
      } else {

        AuthApi.authenticateAutoAtendimento(requestData, function(r) {

          if ( r.Successeded ) {
            authenticate(r, requestData)
          } else {
            Popup.alert(r.Message);

            $scope.buttonLoginText = 'Login';
            $scope.disableButton = false;
          }

        });

      }

    });

  }

  function authenticate(r, requestData) {
    
    deviceStorage.put('salao', $scope.salao);
    deviceStorage.put('permissoes', r.Retorno);
    deviceStorage.put('user', r)

      .then(function () {
        try {
          // evita sobrescrever chave de push caso o usuário logue com senha alternativa
          var isAlternativePassword = r.Retorno.usouSenhaAlternativa;
          
          if (!isAlternativePassword) {
            AuthApi.RegistrarDispositivo({
              Chave: Chave, //registrationId do aparelho
              Dispositivo: Dispositivo //pode ser "Google", "Apple", ou "Windows"
            }, function (argument) {
              // alert(JSON.stringify(argument) );
              // version_data += JSON.stringify(argument);
            });
          }

        } catch (e) {/*console.log(e);*/}
      })

    AuthApi.getusuarioid(requestData, function(r) {
      deviceStorage.put('UsuarioId', r.UsuarioId);
    });

    $rootScope.user = r.Retorno;

    if ( $rootScope.user.Colaborador && $rootScope.user.usouSenhaAlternativa) {
      deviceStorage.put('loginType', 'contributor.dashboard');
      $state.go('contributor.dashboard');
    } else if ( $rootScope.user.Cliente + $rootScope.user.Colaborador + $rootScope.user.Gerente > 1 ) {
      $state.go('logintype');
    } else if ( $rootScope.user.Colaborador ) {
      deviceStorage.put('loginType', 'contributor.dashboard');
      $state.go('contributor.dashboard');
    } else if ( $rootScope.user.Gerente ) {
      deviceStorage.put('loginType', 'manager.dashboard');
      $state.go('manager.dashboard');
    } else {
      deviceStorage.put('loginType', 'client.dashboard');
      $state.go('client.dashboard');
    }
  }

  // auto-login
  var r = deviceStorage.get('user'),
      loginType = deviceStorage.get('loginType')
  if (r && loginType) {
    // BannerApi.openBanner('once', 1, 'popup_auto_login', {
    //   template: '<img src="http://onemobilidade.azurewebsites.net/mobilidade/img/popup-auto-login.jpg" ng-click="myPopup.close()" width="100%" style="vertical-align: middle;">'
    // });
    $rootScope.user = r.Retorno;

    $state.go(loginType);
  }

  // $scope.sobre();

}]);
