var controllers = angular.module('app.controllers');

controllers.controller('AgendaCtrl', [ '$scope','$rootScope', '$state', 'deviceStorage', 'AgendaApi', '$ionicPopup', 'Popup','DEALER','BannerApi','$cordovaCalendar',
  function($scope, $rootScope, $state, deviceStorage, AgendaApi,  $ionicPopup, Popup,DEALER,BannerApi, $cordovaCalendar) {

// if(DEALER.id===4 ){
//  BannerApi.openBanner('daily', 1, 'popup_auto_login', {
//             template: '<img src="https://oneproducao.blob.core.windows.net/imgs/Banner_App_Torres.png" ng-click="myPopup.close()" width="100%" style="vertical-align: middle;">',
//             buttons: [
//                    {
//                      type: 'ion-close',
//                    },
//                  ]
//           });
//       }
  const empresasId = deviceStorage.get('salao').EmpresasID;
  $scope.ClipSalao = empresasId == 4179 || empresasId == 4186 || empresasId == 7684;

  var STATUS = {
    'P' : {'icon': 'ion-location', 'class' : 'icon-lightGreen'},
    'E' : {'icon': 'ion-checkmark', 'class' : 'icon-blue'},
    'C' : {'icon': 'ion-clock', 'class' : 'icon-lightBlue'},
    'R' : {'icon': 'ion-card', 'class' : 'icon-gray'},
    'M' : {'icon': 'ion-stats-bars', 'class' : 'icon-orange'},
    'A' : {'icon': 'ion-pin', 'class' : 'icon-gold'},
    'N' : {'icon': 'ion-card', 'class':'icon-brown' },
    'X' : {'icon': 'ion-scissors', 'class':'icon-dark-green', 'descricao': 'APP_SCHEDULE_IN_ATTENDANCE' },
  };

  var appendNextEvents = function(results){
    if (results) {
      $scope.events = results.Retorno;
      $scope.status = STATUS;
    }
  };

  var appendRefreshNextEvents = function(results){
    $scope.$broadcast('scroll.refreshComplete');
    $scope.events = results.Retorno;
    $scope.status = STATUS;
  };

  $scope.goAgendar = function(){
    $state.go('client.agendar-servico');
  };

  $scope.refreshNextEvents = function(){
    var requestData = {
      start: '0',
      size: '100'
    };
    AgendaApi.nextEvents(requestData, appendRefreshNextEvents);
  };

  $scope.editarAgendamento = function(results){
    var agendamento = results;
    deviceStorage.put('agendamento',results);
    $state.go('client.editar-agendamento');
  };

  var cancelarAgendamento = function(results){
    // navigator.notification.alert(results.Message);
       Popup.alert(results.Message);
       var agendamento = results;

       //alert(JSON.stringify(data));
       //debugger;

       var startDate = Date.ddmmyyyy( agendamento.Data.replace(' 00:00:00', '') );
       startDate.sethhmm( agendamento.horaInicio );

       var endDate = Date.ddmmyyyy( agendamento.Data.replace(' 00:00:00', '') );
       endDate.sethhmm( agendamento.horaFim );

       $cordovaCalendar.deleteCalendar({
         calendarName: DEALER.description,
         calendarColor: DEALER.colorRGB
       }).then(function (result) {
         // console.log('result: ' + result);
           $cordovaCalendar.deleteEvent({
           title: agendamento.servico,
           location: agendamento.empresa,
           //notes: agendamento.colaborador,
           startDate: startDate,
           endDate: endDate,
           calendarName: DEALER.description,
         }).then(function (result) { //alert(JSON.stringify(result));
           // console.log(JSON.stringify(result));
           // 
           popup.alert("Evento excluido com sucesso");
         }, function (err) { //alert('error:'+ err );
           // console.log(JSON.stringify(err));
           // error
         });
       }, function (err) {
         // alert('erro: ' + err);
         // error
       });
  };

  $scope.cancelarAgendamento = function(idAgendamento, item){
    var requestData = {
      agendaid: idAgendamento,
    };
    $scope.events.splice($scope.events.indexOf(item), 1);
    AgendaApi.cancelarAgendamento(requestData, cancelarAgendamento);
  };

  var init = function(){
    var requestData = {
      start: '0',
      size: '100'
    };
    AgendaApi.nextEvents(requestData, appendNextEvents);
  };
  init();

}]);
