var controllers = angular.module('app.controllers');

controllers.controller('PreviaGastosCtrl', [ '$scope', '$rootScope', '$state', 'deviceStorage', 'PreviaGastosApi',
  function($scope, $rootScope, $state, deviceStorage, PreviaGastosApi){

  var appendRefreshPreviousEvents = function(results) {

    // results = {
    //   "Servicos": [
    //     {
    //       "RegistroServicosID": 0,
    //       "DataServico": "0001-01-01T00:00:00",
    //       "ClientesID": 0,
    //       "ColaboradoresID": 0,
    //       "ColaboradorNome": "Junior Souza",
    //       "ServicosID": 0,
    //       "ServicosDescricao": "Barba",
    //       "QuantidadeVendida": 1,
    //       "PrecoUnitarioVenda": 30,
    //       "PrecoTotal": 30,
    //       "DataHoraRegistro": "2017-02-24T11:43:44.607",
    //       "RequerAuxiliar": false,
    //       "UsaQuimica": false
    //     },
    //     {
    //       "RegistroServicosID": 0,
    //       "DataServico": "0001-01-01T00:00:00",
    //       "ClientesID": 0,
    //       "ColaboradoresID": 0,
    //       "ColaboradorNome": " Gilberto Bassani",
    //       "ServicosID": 0,
    //       "ServicosDescricao": "Corte Masculino",
    //       "QuantidadeVendida": 1,
    //       "PrecoUnitarioVenda": 50,
    //       "PrecoTotal": 50,
    //       "DataHoraRegistro": "2017-02-24T11:52:12.963",
    //       "RequerAuxiliar": false,
    //       "UsaQuimica": false
    //     }
    //   ],
    //   "Produtos": [
    //     {
    //       "RegistroProdutosId": 0,
    //       "DataRegistro": "0001-01-01T00:00:00",
    //       "ClientesID": 0,
    //       "ColaboradoresID": 0,
    //       "ProdutosID": 0,
    //       "QuantidadeVendida": 1,
    //       "PrecoUnitarioVenda": 50,
    //       "DataHoraRegistro": "2017-02-24T18:36:54.317",
    //       "ProdutoNome": "SHAMPOO TOP CACHOS",
    //       "ColaboradorNome": " Gilberto Bassani",
    //       "PrecoTotal": 50
    //     },
    //     {
    //       "RegistroProdutosId": 0,
    //       "DataRegistro": "0001-01-01T00:00:00",
    //       "ClientesID": 0,
    //       "ColaboradoresID": 0,
    //       "ProdutosID": 0,
    //       "QuantidadeVendida": 1,
    //       "PrecoUnitarioVenda": 50,
    //       "DataHoraRegistro": "2017-02-24T18:36:54.317",
    //       "ProdutoNome": "SHAMPOO TOP CACHOS",
    //       "ColaboradorNome": " Gilberto Bassani",
    //       "PrecoTotal": 50
    //     }
    //   ]
    // };

    $scope.Produtos = results ? results.Produtos : [];
    $scope.Servicos = results ? results.Servicos : [];

    if (!results) return;

    $scope.totalProdutos = 0;
    for (var i = 0; i < results.Produtos.length; i++) {
        $scope.totalProdutos += results.Produtos[i].PrecoTotal;
    }

    $scope.totalServicos = 0;
    for (var i = 0; i < results.Servicos.length; i++) {
        $scope.totalServicos += results.Servicos[i].PrecoTotal;
    }

  };

  $scope.refreshNextEvents = function(){
    var requestData = {
          ClienteId : $rootScope.user.ClienteID
          // AgendaId : 8916//14724
    };
    PreviaGastosApi.previaGastos(requestData, appendRefreshPreviousEvents);

  };

  $scope.refreshNextEvents();

}]);
