var controllers = angular.module('app.controllers');

controllers
  .controller('contributor.historico.BuscarClienteCtrl', ['$scope','APP_URL','$http', 'deviceStorage','EventService', function ($scope, APP_URL, $http, deviceStorage,EventService) {
    $scope.utils = {};
    $scope.utils.formulario = {};
    $scope.utils.formulario.Nome = null;
    $scope.utils.formulario.NomeAutoComplete = {};

    $scope.utils.formulario.toggleClass = function(id) {

      if (typeof $scope.utils === 'undefined'){
        $scope.utils = {};
      }
      if (typeof $scope.utils.formulario === 'undefined'){
        $scope.utils.formulario = {};
      }
      if(typeof $scope.utils.formulario.NomeAutoComplete === 'undefined'){
        $scope.utils.formulario.NomeAutoComplete = {};

      }
      $scope.utils.formulario.NomeAutoComplete.addClass = false;
      //$scope.utils.formulario.ServicoAutoComplete.addClass = false;
       //$scope.utils.formulario.CodigoAutoComplete.addClass = false;
      if (id === 0) {
        //$scope.utils.formulario.CodigoAutoComplete.addClass = true;
      }
      else if (id === 1) {
        $scope.utils.formulario.NomeAutoComplete.addClass = true;
      } else if (id === 2) {
        //  $scope.utils.formulario.ServicoAutoComplete.addClass = true;
      }
    };

    $scope.utils.formulario.NomeAutoComplete.URLREQUEST = function(parametroDigitado) {
      return $http({
        method: 'GET',
        headers: {
          'X-Token': deviceStorage.get('user').Token
        },
        url: APP_URL + 'colaborador/ConsultarListaDeClientes/'+parametroDigitado
      });
    };
    $scope.utils.formulario.NomeAutoComplete.NomeEscolhido = function(selected) {
      if (selected && selected.originalObject) {
        $scope.utils.formulario.Nome = selected.originalObject;
        $scope.utils.formulario.Codigo = parseInt(selected.originalObject.CliForColsId, 10);
        EventService.broadcast("PesquisarCliente", {nome: selected.originalObject.NomeCompleto, codigo:  $scope.utils.formulario.Codigo, cpf: selected.originalObject.CPF});
      }else{
        $scope.utils.formulario.Nome = null;
        $scope.utils.formulario.Codigo = null;
      }
    };
    $scope.utils.formulario.NomeAutoComplete.changeInputCliente = function(id) {
      $scope.utils.formulario.Nome = null;
      $scope.utils.formulario.Codigo = null;
    };
  }])

  .controller('contributor.historico.fichaAnotacoesClienteViewCtrl',[
    '$scope', '$state', 'deviceStorage',
    function ($scope, $state, deviceStorage) {
      $scope.selectedEmpresa = deviceStorage.get('salao').EmpresasID;
      $scope.clientSelect = 'APP_NEW_SERVICE_CLIENT_SELECT';
      $scope.clientPlaceholder = 'APP_NEW_SERVICE_CLIENT_PLACEHOLDER';
      $scope.nomeHistoricoPaciente = "APP_CLIENT_HISTORY_TITLE";
      $scope.nomeHistoricoPaciente = "APP_CLIENT_HISTORY_TITLE";
      $scope.tituloColaborador = "APP_CLIENT_HISTORY_CONTRIBUTOR_LABEL";

      if ($scope.selectedEmpresa === 4303) {
        $scope.clientSelect = 'Selecione o paciente';
        $scope.clientPlaceholder = 'Nome, ID, Telefone ou Email do Paciente';
        $scope.nomeHistoricoPaciente = "Histórico clínico";
        $scope.tituloColaborador = "Médico:";
      }
    }
  ])

  .controller('contributor.historico.fichaAnotacoesClienteView.clienteCtrl',[
    '$scope', '$state', 'deviceStorage', 'ColaboradorApi', '$ionicScrollDelegate','Popup',
    function($scope, $state, deviceStorage, ColaboradorApi, $ionicScrollDelegate,Popup) {

      $scope.limit = 10;

      $scope.noMoreItemsAvailable = true;
      $scope.util = {};
      $scope.util.permissoes = deviceStorage.get('permissoes');
      $scope.loadMoreClients = function(){

        $scope.limit += 10;

        $scope.noMoreItemsAvailable = $scope.clients.length < $scope.limit;
        $scope.$broadcast('scroll.infiniteScrollComplete');
        $ionicScrollDelegate.resize();

      };

      var onFindClients = function(results) {

        if (!results) {
          $scope.clients = [];
          return;
        }

        $scope.limit = 10;
        $scope.clients = results.Retorno.ListaClientes;
        $scope.noMoreItemsAvailable = $scope.clients.length < $scope.limit;

        $ionicScrollDelegate.resize();
        $ionicScrollDelegate.scrollTop();

      };

      $scope.clearClients = function() {
        delete $scope.clients;
      };

      $scope.findClientsPresence = function(){
        delete $scope.clients;
        $scope.clients = null;

        requestData = {
          PalavraPesquisaCliente: '',
          EstaPresente:true,
        };
        ColaboradorApi.findClients(requestData, onFindClients);
      };

      $scope.findClients = function(clientName) { //console.log(clientName);

        var requestData;

        if (
          clientName.length >= 1 && !isNaN(clientName) || clientName.length >= 3
         ) {
          $scope.clients = null;
          requestData = {
            PalavraPesquisaCliente: clientName
          };
          ColaboradorApi.findClients(requestData, onFindClients);
          // ColaboradorApi.NomeAutoComplete(clientName, onFindClients);
        }

      };

    }
  ])

  .controller('contributor.historico.fichaAnotacoesClienteView.anotacoesCtrl', [
    '$scope', '$stateParams', 'cliente','Popup',
    function ($scope, $stateParams, cliente,Popup) {
      $scope.clienteID = $stateParams.ClienteID;
      $scope.cliente = cliente;
      $scope.fichas = cliente.ListaHistoricoFichaAnotacoesAtendimento;
      
      
      $scope.MostrarTexto = function(texto){
        
        Popup.alert(texto)
      }
    
    } 
    
  ])
  // .controller('contributor.historico.fichaAnotacoesClienteView.anotacoesCtrl', [
  //   '$scope', 'deviceStorage', 'EventService','ColaboradorApi',
  //   function($scope, deviceStorage, EventService, ColaboradorApi) {

  //     //if (!deviceStorage.get('empresasID')) return $state.go("entrar");

  //     // $ionicNavBarDelegate.showBackButton(false);
  //     $scope.clienteHistorico = {};
  //     $scope.clienteHistorico.MostrarLoading = false;
  //     $scope.clienteHistorico.MostrarMSGDENaoHistorico = false;
  //     $scope.selectedEmpresa = deviceStorage.get('empresasID');
  //     $scope.nomeHistoricoPaciente = "APP_CLIENT_HISTORY_TITLE";
  //     $scope.tituloColaborador = "APP_CLIENT_HISTORY_CONTRIBUTOR_LABEL";

  //     if ($scope.selectedEmpresa === 4303) {
  //       $scope.nomeHistoricoPaciente = "Histórico clínico";
  //       $scope.tituloColaborador = "Médico:";
  //     }

  //     EventService.listen("PesquisarCliente", function(data, parametro){
  //       $scope.clienteHistorico.nome = parametro.nome;
  //       $scope.clienteHistorico.cpf = parametro.cpf;
  //       $scope.clienteHistorico.codigo = parametro.codigo;
  //       $scope.clienteHistorico.MostrarLoading = true;
  //       $scope.clienteHistorico.MostrarMSGDENaoHistorico = false;
  //       ColaboradorApi.ConsultarHistoricoFichaAnotacoesDoCliente(parametro.codigo, processarHistorico );
  //     });

  //     $scope.findClients = function(clientName) {
  //       ColaboradorApi.findClients({PalavraPesquisaCliente: clientName}, function (result) {
  //         console.log(result);
  //       })
  //     }

  //     var processarHistorico = function(data){
  //       if(data.Successeded === true){
  //         $scope.clienteHistorico.MostrarLoading = false;
  //         $scope.clienteHistorico.Fichas = data.Retorno.ListaDeListaHistoricoFichaAnotacoesAtendimento;
  //         $scope.clienteHistorico.MostrarMSGDENaoHistorico  = ($scope.clienteHistorico.Fichas.length === 0);
  //       }
  //     };

  //     $scope.clienteHistorico.mostrarFormularioBuscaCliente = true;
  //     $scope.clienteHistorico.EsconderFormularioDeBuscaCliente = function(){
  //       $scope.clienteHistorico.mostrarFormularioBuscaCliente = !$scope.clienteHistorico.mostrarFormularioBuscaCliente;
  //     };
  //   }
  // ])
