var controllers = angular.module('app.controllers');

controllers.controller('LoginTypeCtrl', [ '$scope', '$state', 'deviceStorage','$ionicLoading', '$timeout', 'BannerApi',
  function($scope, $state, deviceStorage, $ionicLoading, $timeout, BannerApi) {

    $scope.empresasID = "0";
    $scope.user = deviceStorage.get('user').Retorno;
    if($scope.empresasID === "0" && deviceStorage.get('salao') !== null){
      $scope.empresasID = deviceStorage.get('salao').EmpresasID;
    }

    $scope.user = deviceStorage.get('user').Retorno;

    if ( $scope.empresasID && deviceStorage.get('saloes') ) {
      // $scope.
      var saloes = ( deviceStorage.get('saloes') ).Retorno;
      for ( var s in saloes ) {
        var salao = saloes[s];
        if ( salao.EmpresasID == $scope.empresasID ) {
          $scope.salao = salao;
          $scope.savedSalao = salao;
          break;
        }
      }
    } else if ( $scope.savedSalao ) {
      $scope.salao = $scope.savedSalao;
    }

    $scope.setLoginType = function( loginType ) {
      if ( loginType == 'Colaborador' ) {
        $state.go('contributor.dashboard');
      } else if ( loginType == 'Gerente' ) {
        $state.go('manager.dashboard');
      } else {
        $state.go('client.dashboard');
      }
    };


    $scope.goType = function(loginType) {
      // $ionicLoading.show();

      // if (loginType !== 'Cliente') {
      //   BannerApi.openBanner('daily', 10);
      // }

      // $timeout(function(){
        // $ionicLoading.hide();
        if ( loginType == 'Colaborador' ) {
          deviceStorage.put('loginType', 'contributor.dashboard');
          $state.go('contributor.dashboard');
        } else if ( loginType == 'Gerente' ) {
          deviceStorage.put('loginType', 'manager.dashboard');
          $state.go('manager.dashboard');
        } else {
          deviceStorage.put('loginType', 'client.dashboard');
          $state.go('client.dashboard');
        }
      // });
    };

}]);
