var pushNotification, androidPushNotification, blackberryPushNotification, iosPushNotification;

var registerPush = function(){
    pushNotification = window.plugins.pushNotification;

    if ( device.platform == 'android' || device.platform == 'Android' || device.platform == "amazon-fireos" ){
        androidPushNotification = {
            "senderID":"replace_with_sender_id",
            "ecb":"onNotification"
        };
        pushNotification.register( successHandler, errorHandler, androidPushNotification );
    } else if ( device.platform == 'blackberry10' ){
        blackberryPushNotification = {
            invokeTargetId : "replace_with_invoke_target_id",
            appId: "replace_with_app_id",
            ppgUrl:"replace_with_ppg_url", //remove for BES pushes
            ecb: "pushNotificationHandler",
            simChangeCallback: replace_with_simChange_callback,
            pushTransportReadyCallback: replace_with_pushTransportReady_callback,
            launchApplicationOnPush: true
        };
        pushNotification.register( successHandler, errorHandler, blackberryPushNotification);
    } else {
        iosPushNotification = {
            "badge":"true",
            "sound":"true",
            "alert":"true",
            "ecb":"onNotificationAPN"                
        };
        pushNotification.register( tokenHandler, errorHandler, iosPushNotification);
    }
};

var runOnDeviceReadyPush = function(callback) {
  if (typeof cordova !== 'undefined') {
      document.addEventListener("deviceready", callback, false);
  }
  else {
      callback();
  }
};
runOnDeviceReadyPush(registerPush);
