var services = angular.module('app.services');

services.factory('BannerApi', ['$ionicPopup', '$rootScope', 'deviceStorage', '$timeout',
  function($ionicPopup, $rootScope, deviceStorage, $timeout) {
    var vm = this;

    $scope = $rootScope.$new();
    // debugger;

    vm.openBanner = function (type, count, campaing, popup) {
      if ( vm[type](count, campaing) ) {
        $scope = popup.$scope || $scope;

        if ($scope.myPopup) {
          $scope.myPopup.close();
        }

        $scope.myPopup = $ionicPopup.show({
          cssClass: popup.cssClass || 'banner-popup',
          scope: $scope,
          // template: '<p>Aproveite a palestra online: "Os 5 ERROS que você NUNCA pode cometer na gestão do seu SALÃO ou BARBEARIA" e atualize-se!!</p> <p>Acesse: <a href="http://marketingdesalao.com.br/palestra-online">http://marketingdesalao.com.br/palestra-online</a></p>',
          // template: '<a href="http://marketingdesalao.com.br/palestra-online" target="_blank" ng-click="myPopup.close()">&nbsp</a>',
          // template: '<img src="http://onemobilidade.azurewebsites.net/mobilidade/img/popup-auto-login.jpg" ng-click="myPopup.close()" width="100%" style="vertical-align: middle;">',
          template: popup.template,
          // templateUrl: 'templates/banner.html',
          // title: 'PALESTRA ONLINE GRATUITA',
          // subTitle: 'Ei! Convide um amigo para baixar o ONE e acumul pontos! Estes pontos, furamente, serão convertidos em prêmios.',
          // scope: $scope,
          buttons: popup.buttons
        });

        if (popup.timer) {
          $timeout($scope.myPopup.close, popup.timer * 1000)
        }
      }
    };

    var sessionOpenned = 0;
    vm.session = function (count, campaing) {
      if (count === undefined) {
        count = 1;
      }

      sessionOpenned++;

      return sessionOpenned <= count
    };

    vm.daily = function (count, campaing) {
      if (count === undefined) {
        count = 1;
      }

      var promoPopup = deviceStorage.get('promoPopup.' + campaing);
      var utc = new Date().toJSON().slice(0,10).replace(/-/g,'/');

      if (!promoPopup || promoPopup && promoPopup.utc !== utc) {
        promoPopup = {
          utc: utc,
          count: 1
        }
      } else {
        promoPopup.count++;
      }

      deviceStorage.put('promoPopup.' + campaing, promoPopup);

      return promoPopup.count <= count;
    };

    vm.once = function (count, campaing) {
      if (count === undefined) {
        count = 1;
      }

      var promoPopup = deviceStorage.get('promoPopup.' + campaing);

      if (!promoPopup) {
        promoPopup = {
          count: 1
        }
      } else {
        promoPopup.count++;
      }

      deviceStorage.put('promoPopup.' + campaing, promoPopup );

      return promoPopup.count <= count;
    };

    return vm;

}]);
