var services = angular.module('app.services');

services.service('AgendaColaboradorApi', [ '$http', '$q', '$cacheFactory', 'deviceStorage', 'APP_URL', 'APP_URL_NEW',
  function ($http, $q, $cacheFactory, deviceStorage, APP_URL, APP_URL_NEW) {

  this.getInformacoesAgendamentosProfissional = function(requestData, callback) {
    var request = $http({
      method: 'POST', 
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/retornatodasinformacoesagendamentosprofissional',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

this.DerrubarUsuario = function(callback) {
    var request = $http({
      method: 'GET',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'security/ValidarColaboradorAtivo'
    }).success(callback).error(callback);
  };

  this.getListaColaboradores = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'security/ListaColaboradoresAgendaveis',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };


  

}]);
