var services = angular.module('app.services');

services.service('manager.ColaboradoresApi', [ '$http', '$q', '$cacheFactory', 'deviceStorage', 'APP_URL_NEW',
  function ($http, $q, $cacheFactory, deviceStorage, APP_URL_NEW) {

  this.getRankingfaturamento = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/rankingfaturamentoporprofissionalporfilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.getRankinglucratividade = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/rankinglucratividadeporprofissionalporfilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.getLucratividadeProfissionais = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/LucratividadeProfissionais',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

}]);
