var services = angular.module('app.services');

services.service('ManagerApi', [ '$http', '$q', '$cacheFactory', 'deviceStorage', 'APP_URL_NEW',
  function ($http, $q, $cacheFactory, deviceStorage, APP_URL_NEW) {

  this.getMediasAvaliacoes = function () {
    return $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/RetornaMediasAvaliacoes',
      // url: 'http://onebetaservice-api.azurewebsites.net/api/gerente/RetornaMediasAvaliacoes',
      // data: JSON.stringify()
    })
      .then(function (result) {
        return result.data
      })
  };

  this.getMediaProfissionalGerente = function(requestData, callback) {
    $http({
      method: 'POST',
      headers: {
        'X-Token': deviceStorage.get('user').Token
      },
      url: APP_URL_NEW+'gerente/RetornaMediaProfissionalGerente',
      // url: 'http://onebetaservice-api.azurewebsites.net/api/gerente/RetornaMediaProfissionalGerente',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

}]);
