(function(module) {

  angular.module('app').constant('DEALER', {
    id: 2,
    slug: 'barao-navalha',
    marker: 'one',
    name: 'Barão da Navalha',
    description: 'One - beleza & bem-estar',
    color: 'orange',
    colorRGB: '#d09c2e',
    emulador: true,
    salaoID: 6269,
    agendaLogo: {
      src: 'img/barao-navalha-logo-black.svg',
      height: 150
    },
    // sairIcon: 'sair_white',
    filiais: [
      {
        Descricao: 'Balneário Camboriú',
        //EmpresasID: 6298,
        EmpresasID: 6344,
        filialID: 6353
      },
      {
        Descricao: 'Campeche',
        //EmpresasID: 6298,
        EmpresasID: 7443,
        // filialID: 6353
      },
      {
        Descricao: 'Centro – Bocaiúva',
        //EmpresasID: 6278,
        EmpresasID: 6324,
        filialID: 6333
      },
      {
        Descricao: 'Coqueiros',
        // EmpresasID: 6223,
        EmpresasID: 6269,
        filialID: 6278
      },
      {
        Descricao: 'Criciúma',
        //EmpresasID: 6293,
        EmpresasID: 6339,
        filialID: 6348
      },
      {
        Descricao: 'Curitiba',
        EmpresasID: 7001,
        filialID: 7036
      },
      {
        Descricao: 'Palhoça',
        EmpresasID: 6716,
        filialID: 6734
      },
      {
        Descricao: 'Santa Mônica',
        //EmpresasID: 6284,
        EmpresasID: 6330,
        filialID: 6339
      },
      {
        Descricao: 'São José',
        //EmpresasID: 6298,
        EmpresasID: 6514,
        filialID: 6523
      },
	  {
        Descricao: 'Tubarão',
        EmpresasID: 8126,
        filialID: 8166
      },
    ],
    facebookLogin: false,
    /*anonimous: {
      user: { "Colaboradores":null,"Message":"APP_TAG_SECURITY_LOGIN","Retorno":{"Cliente":true,"ClienteID":1516,"Colaborador":false,"ColaboradorID":1516,"EmailUsuario":"anonimo@tonussi.com","Gerente":false,"IdFilial":6353,"IdUsuario":99996,"MostrarHorarioFinal":false,"NomeUsuario":"Cliente Anônimo","PermitirLancamentosSomenteClientePresente":false,"RazaoSocialFilial":"Barão da Navalha - Balneário Camboriú","TempPassword":false,"Versao":0,"usouSenhaAlternativa":false},"Successeded":true,"Token":"7KIE9v/p7LWKLXyI7k3HrbMuo74j9SloZVwQgoLxbkpRq1MYtl1Jg+790pGwZjRQ"},
      login: {username: "anonimo@tonussi.com", password: "123123", rememberPass: false}
    }*/
  });

  try { module = angular.module("templates"); }
  catch(err) { module = angular.module("templates", []); }

  module.run(["$templateCache", function($templateCache) {
    "use strict";
    $templateCache.put("templates/sobre.html", $templateCache.get("templates/sobre-one.html") );
  }]);

})();
