var controllers = angular.module('app.controllers');
controllers.controller('PerfilCtrl', [ '$scope', '$state', '$filter', 'Popup', 'AuthApi', 'UserApi', 'deviceStorage', '$ionicLoading',
  function($scope, $state, $filter, Popup, AuthApi, UserApi , deviceStorage , $ionicLoading ) {
  $scope.userEdit = {};
  $scope.type = $state.current.name.replace('.perfil', '').toUpperCase();
  //$scope.data = ;
  var appendProfile = function(results){
    if (results.Successeded) {
      // var data = $filter('date')( new Date( results.Retorno.DataAniversario.replace( /(\d{2})\/(\d{2})\/(\d{4})/, "$3-$2-$1 12:00:00") ) , 'yyyy-MM-dd');
      var data = new Date( results.Retorno.DataAniversario.replace( /(\d{2})\/(\d{2})\/(\d{4})/, "$3-$2-$1T12:00:00") );
      //console.log(data);
      $scope.userEdit.nome            = results.Retorno.Nome;
      $scope.userEdit.email           = results.Retorno.Email;
      $scope.userEdit.celular         = results.Retorno.Celular;
      $scope.userEdit.dataAniversario = data;
      $scope.userEdit.telefone        = results.Retorno.Telefone;
      $scope.userEdit.ativo           = results.Retorno.Ativo;
    }
  };
  UserApi.getProfile(appendProfile);
  var appendUpdatedProfile = function(results){
    // console.info(results);
    $ionicLoading.hide();
    //navigator.notification.alert(results.Message);
    Popup.alert(results.Message||"Perfil salvo com sucesso!");
  };
  $scope.doUpdateProfile = function(userEdit){
    $ionicLoading.show({});
    var requestData = {
        'Nome' : userEdit.nome,
        'Email' : userEdit.email,
        'Celular' : userEdit.celular,
        'Telefone' : userEdit.telefone,
        'DataAniversario' : userEdit.dataAniversario && userEdit.dataAniversario.ddmmyyyy(),
        'Senha' : userEdit.password,
        'ConfirmarSenha' : userEdit.confPassword,
        'UsuariosId': deviceStorage.get('UsuarioId')
    };
    if (userEdit.password != userEdit.confPassword)
    {
      Popup.alert("Ops, a confirmação de senha não confere.");
      $ionicLoading.hide({});
      
    }
    else
    {
     UserApi.postProfile(requestData, appendUpdatedProfile);
    }
  };
  $scope.mostrarsenhapai = function(){
      var Senha = document.getElementById("senha");
      var ConfirmarSenha = document.getElementById("senha2");
      var OlhoFechado = document.getElementById("naomostrar");
      //usuario clicou no olho para mostrar senha
      if(Senha.type == "password")
      {
        Senha.type = "text";
        ConfirmarSenha.type = "text";
        OlhoFechado.className = "olhosenhaFechado"
    
      }
      else{
        Senha.type = "password";
        ConfirmarSenha.type = "password";
        OlhoFechado.className = "olhosenhaAberto"
   
        
      } 
  };
}]);