var controllers = angular.module('app.controllers');

controllers.controller('PontosFidelidadeCtrl', [ '$scope', '$rootScope', '$state', 'deviceStorage', 'PontosFidelidadeApi', 
  function($scope, $rootScope, $state, deviceStorage, PontosFidelidadeApi){
  
  var appendRefreshPreviousEvents = function(results) {
    
    $scope.BonusTotal = 0;

    if ( results.Retorno ) {
      $scope.BonusTotal = results.Retorno[0].BonusTotal;
      $scope.Minimo = results.Retorno[0].Minimo;
    }

  };

  $scope.refreshNextEvents = function(){
    var requestData = {
          ClienteID : $rootScope.user.ClienteID
    };
    PontosFidelidadeApi.PontosFidelidade(requestData, appendRefreshPreviousEvents);

  };

  $scope.refreshNextEvents();
  
}]);