var services = angular.module('app.services');

services.service('RelatorioColaboradorApi', [ '$http', '$q', '$cacheFactory', 'deviceStorage', 'APP_URL', 'APP_URL_NEW',
  function ($http, $q, $cacheFactory, deviceStorage, APP_URL, APP_URL_NEW) {

  this.rankingfaturamentoporfilial = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/rankingfaturamentoporfilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.RankingAtendimentosPorFilial = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/RankingAtendimentosPorFilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.RankingAtendimentosPorClientePorFilial = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/RankingAtendimentosPorClientePorFilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.TotalFaturamentoServicosPorFilial = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/TotalFaturamentoServicosPorFilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.DetalhamentoServicosFaturados = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/DetalhamentoServicosFaturados',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.TotalFaturamentoProdutosPorFilial = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/TotalFaturamentoProdutosPorFilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.DetalhamentoProdutosFaturados = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/DetalhamentoProdutosFaturados',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorComissoesPendentes = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorComissoesPendentes',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorComissoesDatas = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorComissoesDatas',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorComissoesPreDatado = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorComissoesPreDatado',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorComissoesRepasses = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorComissoesRepasses',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorComissoesRD = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorComissoesRD',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorProdutividadeDetalhada = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorProdutividadeDetalhada',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorComissoesDatasDetalhes = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorComissoesDatasDetalhes',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorFormaPagamento = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorFormaPagamento',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorDebitoComoCliente = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorDebitoComoCliente',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.ColaboradorOutrasReceitas = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'colaborador/ColaboradorOutrasReceitas',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };



}]);
