var services = angular.module('app.services');

services.service('manager.ReceitasApi', [ '$http', '$q', '$cacheFactory', 'deviceStorage', 'APP_URL', 'APP_URL_NEW',
  function ($http, $q, $cacheFactory, deviceStorage, APP_URL, APP_URL_NEW) {

  // this.getTotalReceitaServicosProdutosPorFilial = function(requestData, callback) {
  //   var request = $http({
  //     method: 'POST',
  //     headers: { 'X-Token': deviceStorage.get('user').Token},
  //     url: APP_URL+'gerente/TotalReceitaServicosProdutosPorFilial',
  //     data: JSON.stringify(requestData)
  //   }).success(callback).error(callback);
  // };

  this.getTotalReceitaProdutosPorFilial = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/TotalReceitaProdutosPorFilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.getTotalReceitaServicosPorFilial = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/TotalReceitaServicosPorFilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.getTotalAtendimentosPorFilial = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/TotalAtendimentosPorFilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.getReceitaEstimada = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/TotalReceitaEstimadaPelaAgendaPorFilial',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.getTopservicos = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/topservicos',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.getTopprodutos = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/topprodutos',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  this.getTopclientes = function(tipo, requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'gerente/' + tipo,
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

}]);
