var services = angular.module('app.services');

services.service('PreviaGastosApi', [ '$http', '$q', '$cacheFactory', 'deviceStorage', 'APP_URL_NEW',
  function ($http, $q, $cacheFactory, deviceStorage, APP_URL_NEW) {

  this.previaGastos = function(requestData, callback) {
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'agendas/previagastos',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

}]);
