var services = angular.module('app.services');

services.service('UserApi', ['$http', '$q', '$cacheFactory', 'deviceStorage', 'APP_URL', 'APP_URL_NEW',
  function ($http, $q, $cacheFactory, deviceStorage, APP_URL, APP_URL_NEW) {

  var UserApi = {};

  UserApi.getProfile = function(callback){
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'Account/CarregarDados',
    }).success(callback).error(callback);
  };

  UserApi.postProfile = function(requestData, callback){
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'Account/EditarDados',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  UserApi.reenviaremailativacao = function(requestData, callback){
    var request = $http({
      method: 'POST',
      // headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'Account/reenviaremailativacao',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  UserApi.alterarsenha = function(requestData, callback){
    var request = $http({
      method: 'POST',
      // headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'Account/alterarsenha',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  // UserApi.pontosConvidaramigo = function(requestData, callback){
  //   var request = $http({
  //     method: 'GET',
  //     // headers: { 'X-Token': deviceStorage.get('user').Token},
  //     url: APP_URL+'cliente/ConvidarAmigo',
  //     // data: JSON.stringify(requestData)
  //   }).success(callback).error(callback);
  // };

  UserApi.ConvidarAmigo = function(requestData, callback){
    var request = $http({
      method: 'POST',
      headers: { 'X-Token': deviceStorage.get('user').Token},
      url: APP_URL_NEW+'cliente/ConvidarAmigo',
      data: JSON.stringify(requestData)
    }).success(callback).error(callback);
  };

  // UserApi.PushInterativoResposta = function(requestData, callback){
  //   var request = $http({
  //     method: 'POST',
  //     // headers: { 'X-Token': deviceStorage.get('user').Token},
  //     url: APP_URL_NEW+'cliente/PushInterativoResposta',
  //     data: JSON.stringify(requestData)
  //   }).success(callback).error(callback);
  // };

  // UserApi.EnviarEmail = function () {
  //   return $http({
  //     method: 'POST',
  //     headers: { 'X-Token': deviceStorage.get('user').Token},
  //     url: APP_URL_NEW+'Cliente/EnviarEmail',
  //     // data: JSON.stringify(requestData)
  //   })
  // };

  return UserApi;

}]);

